package eu.kanade.tachiyomi.extension.es.knightnoscanlation

import eu.kanade.tachiyomi.multisrc.madara.Madara
import eu.kanade.tachiyomi.network.interceptor.rateLimitHost
import okhttp3.HttpUrl.Companion.toHttpUrl
import okhttp3.OkHttpClient
import java.text.SimpleDateFormat
import java.util.Locale
import java.util.concurrent.TimeUnit

class KnightNoScanlation : Madara(
    "Knight No Scanlation",
    "https://knightnoscanlation.com",
    "es",
    SimpleDateFormat("MMMM dd, yyyy", Locale("es")),
) {
    override val client: OkHttpClient = super.client.newBuilder()
        .rateLimitHost(baseUrl.toHttpUrl(), 2, 1, TimeUnit.SECONDS)
        .build()

    override val mangaSubString = "sr"

    override val mangaDetailsSelectorStatus = "div.post-content_item:contains(Status) div.summary-content"
}
